GET https://api.ap1.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id} https://api.ap2.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id} https://api.datadoghq.eu/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id} https://api.ddog-gov.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id} https://api.us2.ddog-gov.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id} https://api.uk1.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id} https://api.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id} https://api.us3.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id} https://api.us5.datadoghq.com/api/v2/experiments/exposure-sql-models/{exposure_sql_model_id}
Overview Get an exposure SQL model. Returns a single model by its ID for the organization, including its subject types and properties.
This endpoint requires the product_analytics_metrics_read permission.
OAuth apps require the product_analytics_metrics_read authorization scope to access this endpoint.
Arguments Path Parameters exposure_sql_model_id [required ]
The UUID of the exposure SQL model.
Query Strings Optional fields to include. Repeat this parameter to request several fields. counts adds
experiment_count.
Response OK
Response containing a SQL model for experiment assignment data.
Expand All
Exposure SQL model resource with its identifier and configuration.
Query and column mappings used to read experiment assignment data.
Time when the exposure SQL model was archived.
Time when the exposure SQL model was created.
Column used to identify date partitions in the exposure data.
SQL result column that contains the experiment key.
Number of experiments associated with the exposure SQL model.
Metadata associated with migration of this resource.
Display name of the exposure SQL model.
Property columns available for filtering or splitting exposure data.
SQL result column that contains this property.
Data type of the property column.
Description of the exposure property.
Identifier of the exposure property.
Metadata associated with migration of this resource.
Display name of the exposure property.
Suffix used for this property column in the analysis pipeline.
SQL query that supplies the experiment assignment data.
Mappings between subject types and their identifier columns.
SQL result column that contains the subject identifier.
subject_type_id [required ]
Identifier of the subject type mapped to this column.
SQL result column that contains the assignment timestamp.
Time when the exposure SQL model was last updated.
SQL result column that contains the assigned variant.
Identifier of the exposure SQL model.
Exposure SQL models resource type.
Allowed enum values: exposure-sql-models
default: exposure-sql-models
{
"data" : {
"attributes" : {
"created_at" : "2024-01-01T12:00:00Z" ,
"experiment_column" : "experiment_id" ,
"name" : "Exposure events" ,
"properties" : [
{
"column_name" : "country" ,
"column_type" : "STRING" ,
"id" : "550e8400-e29b-41d4-a716-446655440031" ,
"name" : "country" ,
"pipeline_column_suffix" : "cty001"
}
],
"sql" : "SELECT user_id, experiment_id, variant, exposed_at, country FROM analytics.exposures" ,
"subject_types" : [
{
"column_name" : "user_id" ,
"subject_type_id" : "550e8400-e29b-41d4-a716-446655440010"
}
],
"timestamp_column" : "exposed_at" ,
"updated_at" : "2024-01-01T12:00:00Z" ,
"variant_column" : "variant"
},
"id" : "550e8400-e29b-41d4-a716-446655440030" ,
"type" : "exposure-sql-models"
}
} Malformed exposure SQL model ID (not a valid UUID), or unknown include value.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Missing or invalid authentication.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Authenticated caller lacks the product_analytics_metrics_read permission.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} No exposure SQL model with this ID exists for the organization.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Path parameters export exposure_sql_model_id = "550e8400-e29b-41d4-a716-446655440000" # Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/experiments/exposure-sql-models/${exposure_sql_model_id} " \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN} "